<div class="row mb-4">
  <div class="col">
    <div widget class="card border-0 box-shadow">
      <div class="card-header transparent border-0 text-muted">
        <h5 class="mb-0">Liste des échéanciers</h5>
        <div class="widget-controls">
          <a data-widgster="expand" href="#" class="transition"><i class="fa fa-chevron-down"></i></a>
          <a data-widgster="collapse" href="#" class="transition"><i class="fa fa-chevron-up"></i></a>
          <a data-widgster="fullscreen" href="#" class="transition"><i class="fa fa-expand"></i></a>
          <a data-widgster="restore" href="#" class="transition"><i class="fa fa-compress"></i></a>
          <!--<a data-widgster="close" href="#" class="transition"><i class="fa fa-times"></i></a>-->
        </div>
      </div>
      <div class="card-body pt-0 widget-body">

        <dx-data-grid id="gridContainer"
                      #grid
                      [dataSource]="dataSource"
                      [showBorders]="true"
                      [rowAlternationEnabled]="true"
                      [allowColumnReordering]="true"
                      [allowColumnResizing]="true"
                      [columnMinWidth]="50"
                      [hoverStateEnabled]="true"
                      columnResizingMode="widget"
                      (onToolbarPreparing)="onToolbarPreparing($event)">


          <dxo-column-chooser [enabled]="true"></dxo-column-chooser>
          <dxo-load-panel [enabled]="true"></dxo-load-panel>
          <dxo-export [enabled]="true" fileName="Liste des échéanciers"></dxo-export>

          <dxi-column dataField="id" caption="ID" [width]="50"  [visible]="false"  [allowHeaderFiltering]="false" ></dxi-column>
          <dxi-column dataField="num" caption="Numéro"  [allowHeaderFiltering]="false" ></dxi-column>

          <dxi-column dataField="credit.demande.assure.nomprenom" caption="Nom"  [allowHeaderFiltering]="false" ></dxi-column>
          <!--<dxi-column dataField="credit.demande.assure.prenom" caption="Prénom"></dxi-column>-->
          <dxi-column dataField="credit.demande.assure.matricule" caption="Matricule"  [allowHeaderFiltering]="false" ></dxi-column>

          <dxi-column dataField="credit.numSouscription" caption="N° Souscription" alignment="right" [allowHeaderFiltering]="false" ></dxi-column>
          <dxi-column dataField="dateEcheance" caption="Date Echéance" dataType="date" format="dd/MM/yyyy" [width]="100"  [allowHeaderFiltering]="false" ></dxi-column>
          <dxi-column dataField="montantRemboursement" caption="Montant remboursement" dataType="number" alignment="right" [precision]="2" [allowHeaderFiltering]="false" ></dxi-column>
          <dxi-column dataField="mensualite" caption="Mensualité" dataType="number" alignment="right"  [allowHeaderFiltering]="false" ></dxi-column>
          <dxi-column dataField="credit.moisDus" caption="Mois dus"  [allowHeaderFiltering]="false" ></dxi-column>
          <dxi-column dataField="credit.total" caption="Total" dataType="number" alignment="right"  [allowHeaderFiltering]="false" ></dxi-column>
          <dxi-column dataField="etat" caption="Etat"></dxi-column>

          <dxi-column dataField="Actions" [allowFiltering]="false" [allowHeaderFiltering]="false"
                      [allowFiltering]="false" [allowSorting]="false" cellTemplate="cemplate"
                      alignment="center" [width]="70"></dxi-column>

          <div *dxTemplate="let data of 'cemplate'">
            <i class="fa fa-cog" title="Modifier" data-toggle="tooltip" (click)="openModalConsult(data.data)"></i>
          </div>
          <dxo-paging [pageSize]="10"></dxo-paging>
          <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]" [showInfo]="true">
          </dxo-pager>
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-filter-row [visible]="true"></dxo-filter-row>
          <dxo-header-filter [visible]="true"></dxo-header-filter>

          <dxo-search-panel [visible]="true" [width]="240" placeholder="Rechercher..."></dxo-search-panel>
          <dxo-group-panel [visible]="true"></dxo-group-panel>
        </dx-data-grid>
      </div>
    </div>
  </div>
</div>
